complexType "CashSettlementPaymentDate"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | adjustableDates | relativeDate | businessDateRange
</...>

Content Model Elements (3):

  adjustableDates (in cashSettlementPaymentDate), businessDateRange, | relativeDate (in cashSettlementPaymentDate)

All Direct / Indirect Based Elements (1):

  cashSettlementPaymentDate

Known Usage Locations

- As direct type of elements (1):
  cashSettlementPaymentDate

Annotation
A type defining the cash settlement payment date(s) as either a set of explicit dates, together with applicable adjustments, or as a date relative to some other (anchor) date, or as any date in a range of contiguous business days.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CashSettlementPaymentDate"> <xsd:choice> <xsd:element name="adjustableDates" type="AdjustableDates"/> <xsd:element name="relativeDate" type="RelativeDateOffset"/> <xsd:element name="businessDateRange" type="BusinessDateRange"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
adjustableDates

  Type: | AdjustableDates, complex content

  A series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="adjustableDates" type="AdjustableDates"/>

businessDateRange

  Type: | BusinessDateRange, complex content

  A range of contiguous business days.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="businessDateRange" type="BusinessDateRange"/>

relativeDate

  Type: | RelativeDateOffset, complex content

  A date specified as some offset to another date (the anchor date).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="relativeDate" type="RelativeDateOffset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.